#
# spec file for package rubygem-gli
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-gli
Version:        2.22.2
Release:        1.1
%define mod_name gli
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
URL:            http://davetron5000.github.io/gli
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Build command-suite CLI apps that are awesome
License:        Apache-2.0

%description
Build command-suite CLI apps that are awesome.  Bootstrap your app, add
commands, options and documentation while maintaining a well-tested idiomatic
command-line app.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE.txt README.rdoc" \
  -f

%gem_packages

%changelog
* Mon Feb  3 2025 Dan Čermák <dan.cermak@posteo.net>
- 2.22.2:
  * Fixes gemspec URL (see #338)
  2.22.1:
  * Added ostruct as dependency.  See #337 (thanks @aither64)
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.22.0, no changelog found
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.21.1, no changelog found
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.21.0
  no changelog found
* Mon Jul 26 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.20.1
  no changelog found
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.20.0
  no changelog found
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 2.19.2
  no changelog found
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.19.0
  * no changelog found
* Thu Aug 15 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.18.2
  * no changelog found
* Mon Jul  8 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.18.1
  * no changelog found
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 2.18.0
  no changelog found
* Wed Sep  5 2018 coolo@suse.com
- updated to version 2.17.2
  no changelog found
* Sun Dec  3 2017 coolo@suse.com
- updated to version 2.17.1
  no changelog found
* Thu Oct 26 2017 coolo@suse.com
- updated to version 2.17.0
  no changelog found
* Mon Aug 28 2017 coolo@suse.com
- updated to version 2.16.1
  no changelog found
* Wed Mar 22 2017 coolo@suse.com
- updated to version 2.16.0
  no changelog found
* Sun Jan 22 2017 coolo@suse.com
- updated to version 2.15.0
  no changelog found
* Tue May 17 2016 coolo@suse.com
- updated to version 2.14.0
  no changelog found
* Thu Nov 26 2015 coolo@suse.com
- updated to version 2.13.4
  no changelog found
* Fri Nov 13 2015 coolo@suse.com
- updated to version 2.13.3
  no changelog found
* Sat Aug 29 2015 coolo@suse.com
- updated to version 2.13.2
  no changelog found
* Wed May 13 2015 coolo@suse.com
- updated to version 2.13.1
  no changelog found
* Wed Mar  4 2015 coolo@suse.com
- updated to version 2.13.0
* Mon Feb 23 2015 coolo@suse.com
- updated to version 2.12.3
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.12.2
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Thu Jul  3 2014 aduffeck@suse.com
- Update to version 2.11.0
* Wed Mar 19 2014 tboerger@novell.com
- Fixed license to Apache-2.0
* Wed Mar 19 2014 tboerger@novell.com
- Intial package of 2.9.0
